View Issue Details

IDProjectCategoryView StatusLast Update
0000097bareos-core[All Projects] Generalpublic2015-02-02 18:49
ReporterjoergsAssigned To 
PrioritylowSeverityfeatureReproducibilityalways
Status confirmedResolutionopen 
Product Version12.4.2 
Fixed in Version 
Summary0000097: default user and groups for fd, sd and director are not defined
Descriptionusing configure, user and group can be set for the fd, sd and director daemons.
Currently theses settings are used in the init scripts and some scripts from the scripts directory. Also they are recently added to the bareos-config script.
Currently theses users are also statically set for package generation.

However, there is no default user/group defined.
If configure is called without --with-sd_user, sd_user is not defined.

My proposal is, that configure always has a default value for users and groups. This can be "bareos" or "root".

My plan is to reuse the get_*_user/group functions from bareos-config during package generation or even in the init scripts.

Alternatives are:
- configure has defaults for users and groups
- bareos-config has some defaults, if no user/group is defined by configure
- get_*_user/group functions from bareos-config get removed, and some other code is added to for generating packages (DEB/SPEC-files)
- let configure create a config file containing this information, eg. /etc/bareos/config. This file should be sourceable from shell and contains information about users, groups, directory. It might get used from the init-scripts as well as from bareos-config (if required)

Suggestions welcomed.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0000094 closed btraceback scripts uses fixed localhost instead of hostname -- bsmtp: bsmtp.c:509-0 Failed to connect to maihost localhost 

Activities

mvwieringen

mvwieringen

2013-02-26 09:48

developer   ~0000171

Last item e.g. script with shell variables would have my vote and can be filled
by configure when you create a bareos.in file probably can remove a lot of
other .in files as when they source this new config they become static and
don't need configure to replace any variable anymore.

Issue History

Date Modified Username Field Change
2013-02-25 19:30 joergs New Issue
2013-02-25 19:30 joergs Status new => assigned
2013-02-25 19:30 joergs Assigned To => mvwieringen
2013-02-26 09:45 mvwieringen Relationship added related to 0000094
2013-02-26 09:48 mvwieringen Note Added: 0000171
2013-02-26 09:48 mvwieringen Assigned To mvwieringen => joergs
2013-02-26 09:49 mvwieringen Status assigned => feedback
2013-03-08 16:38 joergs Status feedback => assigned
2013-03-08 16:38 joergs Product Version 12.4.1 => 12.4.2
2015-02-02 18:49 joergs Assigned To joergs =>
2015-02-02 18:49 joergs Status assigned => confirmed